Name:		qubes-usb-proxy
Version:	4.3.0
Release:	1%{?dist}
Summary:	USBIP wrapper to run it over Qubes RPC connection

Group:		System
License:	GPLv2
URL:		https://www.qubes-os.org/
BuildArch:  noarch

BuildRequires: make
Requires:   usbutils

Source0: %{name}-%{version}.tar.gz

%description
USBIP wrapper to run it over Qubes RPC connection

%prep
%setup -q

%install
make install-vm DESTDIR=${RPM_BUILD_ROOT}

%files
#%%doc
/etc/qubes-rpc/qubes.USB
/etc/qubes-rpc/qubes.USBAttach
/etc/qubes-rpc/qubes.USBDetach
/etc/qubes/suspend-pre.d/usb-detach-all.sh
/usr/lib/qubes/usb-import
/usr/lib/qubes/usb-export
/usr/lib/qubes/usb-detach-all
/usr/lib/qubes/usb-reset
/usr/lib/udev/rules.d/80-qubes-usb-reset.rules

%changelog
* Sun Nov 17 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-usb-proxy.git

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90d68ce
- version 4.3.0

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2bc210a
- ci: drop R4.2

* Sat Nov 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76962d8
- Require new core-admin

* Sat Nov 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e43a4ad
- ci: drop R4.1, add R4.3, add openqa build

* Fri Nov 15 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 738aa3a
- q-dev: replace overriding with patching

* Fri Nov 15 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 665e9cd
- tests: use AsyncMock

* Fri Nov 15 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 371e584
- Remove core2 tests

* Fri Nov 15 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f83d6b6
- Use Port for device and make mypy happy

* Mon Oct 21 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 6013161
- q-dev: update common part with admin-core

* Mon Oct 21 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - dcd8580
- q-dev: call attach-confirm socket directly

* Fri Oct 18 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - ed84c57
- q-dev: cleanup

* Thu Oct 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 2d26fe8
- typo

* Thu Oct 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 21cf824
- q-dev: update tests

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 4296c51
- q-dev: rename attach-confirm -> qubes-device-attach-confirm

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 094af98
- q-dev: updated tests and wait for attachment to be done

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a80d27d
- q-dev: forbid usb assignment options

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f80b8b7
- q-dev: update utils.py

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 4876f2a
- q-dev: async confirmation

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 6d02716
- q-dev: correct english grammar

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - e5ea7bf
- q-dev: update utils

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a23262b
- q-dev: add more tests

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f3b7507
- q-dev: fix auto-attach

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 5477f8c
- q-dev: auto-attaching order

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 82b116d
- q-dev: fix detaching

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 487b8d6
- q-dev: backward compatibility

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 26c0ca0
- q-dev: assignment.devices

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - b589bf6
- q-dev: update device utils

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 63ae996
- q-dev: fix detaching

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 540072f
- q-dev: implements device_id

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 3acae03
- q-dev: refactor device_protocol.py

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 1269437
- q-dev: check identity

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 8671b55
- q-dev: port

* Sat Sep 28 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8c67d72
- version 1.3.2

* Sat Sep 28 2024 Ali Mirjamali <ali@mirjamali.com> - 7daba26
- Replace line-feed with comma plus space in message

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a9664f
- version 1.3.1

* Wed Aug 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 874b1fa
- tests: assertEquals -> assertEqual

* Fri Jun 21 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c6d6bd
- version 1.3.0

* Fri Jun 21 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f86dbf6
- q-dev: fix loop

* Tue Jun 18 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 29d32c5
- q-dev: handle invalid values

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 18abd26
- q-dev: handle invalid values

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 54fca94
- q-dev: cleanup

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 7cbbb49
- q-dev: do not use unicode_escape

* Mon Jun 10 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 227ec98
- q-dev: keep partial backward compatibility in tests

* Thu Jun 06 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - cad623a
- q-dev: keep partial backward compatibility for auto-attachment

* Sun Jun 02 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 5cb2a8f
- q-dev: keep partial backward compatibility

* Sat Jun 01 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f6ad1c3
- q-dev: small fix for unknown devices

* Sat Jun 01 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 9094561
- q-dev: fix attaching usb devices on domain start

* Sat Jun 01 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - fca4777
- q-dev: update integ tests

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 0be9633
- q-dev: minor optimization

* Sat Jun 01 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - f9f84be
- q-dev: device protocol

